Archive for August, 2008

A new version of VMware Server 1.0.7 has been released. Sadly, it does not work with Linux 2.6.26.x series kernel.

From the Release Notes, it seems the changes from 1.0.6 to 1.0.7 are primary for security fixes. It does not address the issue of compatibility with Linux Kernel.

Fortunately, the patch files for 1.0.6 can be apply to 1.0.7 cleanly. I manage to build the latest VMware Server after applied the patches. Seems to work nicely.

Finally! Someone made patches that enable VMware Server 1.0.6 to work in kernel 2.6.26.x!

The site is currently down, but the link to the patch for vmmon and vmnet are still available:

I have successfully built VMware Server 1.0.6 in Linux 2.6.26.2 after applied the patches. So far, it seems to work fine. However, the kernel option to export obsolete symbol still needs to be enabled.

UPDATE:
The site has come back: VMware-server – paldo.

All thanks to paldo developer for the patches.